Blame SOURCES/0310-network-dhclient-exit-arping-immediatly-if-we-get-an.patch

18971c
From d6bfa7052a620ebdd37f78655462120871c49ebd Mon Sep 17 00:00:00 2001
18971c
From: Harald Hoyer <harald@redhat.com>
18971c
Date: Tue, 18 Aug 2015 12:41:12 +0200
18971c
Subject: [PATCH] network/dhclient: exit arping immediatly, if we get an answer
18971c
18971c
---
18971c
 modules.d/40network/dhclient-script.sh | 2 +-
18971c
 1 file changed, 1 insertion(+), 1 deletion(-)
18971c
18971c
diff --git a/modules.d/40network/dhclient-script.sh b/modules.d/40network/dhclient-script.sh
18971c
index 12e2869f..18b41000 100755
18971c
--- a/modules.d/40network/dhclient-script.sh
18971c
+++ b/modules.d/40network/dhclient-script.sh
18971c
@@ -117,7 +117,7 @@ case $reason in
18971c
             read layer2 < /sys/class/net/$netif/device/layer2
18971c
         fi
18971c
         if [ "$layer2" != "0" ]; then
18971c
-            if ! arping -q -D -c 2 -I $netif $new_ip_address ; then
18971c
+            if ! arping -f -q -D -c 2 -I $netif $new_ip_address ; then
18971c
                 warn "Duplicate address detected for $new_ip_address while doing dhcp. retrying"
18971c
                 exit 1
18971c
             fi